=== debian/changelog ===
libgpuarray (0.6.9-2ubuntu5) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:45 +0000

libgpuarray (0.6.9-2ubuntu4) artful; urgency=medium

  * And fix a wrong import so that the test suite actually passes on
    x86...

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Aug 2017 17:05:29 -0700

libgpuarray (0.6.9-2ubuntu3) artful; urgency=medium

  * Also make the autopkgtest dependency on pocl conditional on
    architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Aug 2017 13:46:59 -0700

libgpuarray (0.6.9-2ubuntu2) artful; urgency=medium

  * Skip autopkgtests on !amd64 !i386, since opencl isn't available.
  * debian/patches/skip-cuda-tests: Add skips for a number of additional
    tests on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Aug 2017 19:30:32 +0000

libgpuarray (0.6.9-2ubuntu1) artful; urgency=medium

  * debian/patches/skip-cuda-tests: skip those tests that we know will
    fail on opencl.  Closes: #870128.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Aug 2017 23:30:28 -0700

libgpuarray (0.6.9-2build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:29:35 +0000

libgpuarray (0.6.9-2) unstable; urgency=medium

  * Fix empty section in documentation
    - Set LD_LIBRARY_PATH before building the docs
    - Add missing build dependency on python3-mako
    Thanks to Daniel Stender for reporting (Closes: #869786)
  * Add autopkgtest suite with pocl

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 21:25:20 +0100

libgpuarray (0.6.9-1) unstable; urgency=medium

  * Add versioned dependency to cython.
    Thanks to Aaron M. Ucko (Closes: #868991)
  * New upstream version 0.6.9 (Closes: #868877)
  * Build extension modules before the docs
  * Normalize the preamble of the rules file

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 00:03:54 +0100

libgpuarray (0.6.8-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * Update the gbp configuration
  * New upstream version 0.6.8 (Closes: #858401)
  * Drop the patch queue, no longer required
  * Run cme fix on control file
    - Wrap and sort fields and dependencies
    - Bump standards version to 4.0.0
  * Run cme fix on copyright file
    - Use secure Format URI
    - Sort the copyright sections
    - Normalize the license paragraphs
  * Bump debhelper to version 10
  * Bump soversion to 2
  * Use pybuild as default build system
  * Clean the generated version file
  * Normalize the package descriptions
  * Run dh_numpy within dh_python overrides
  * Provide debug packages for Python
  * Provide a documentation package
  * Update build and install dependencies
    - Drop libclblas-dev and opencl-dev from Build-Depends, not required
    - Drop nose from Recommends, not required
  * Filter egg-info dir using extend-diff-ignore
  * Use the default Python autopkgtest suite
  * Adopt the package
    - Transfer maintenance to the Debian Science Team
    - Add myself to Uploaders
    - Add myself to copyright (Closes: #852137)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 17 Jul 2017 10:02:36 +0100

libgpuarray (0.0+git160929.29ce960-1) experimental; urgency=medium

  * Initial release (Closes: #819012).

 -- Daniel Stender <stender@debian.org>  Mon, 03 Oct 2016 15:11:12 +0200
