=== debian/control ===
Source: libgpuarray
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               cython (>= 0.25),
               cython-dbg,
               cython3 (>= 0.25),
               cython3-dbg,
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               dh-python,
               python-all-dbg,
               python-all-dev,
               python-numpy,
               python-numpy-dbg,
               python-setuptools,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dbg,
               python3-setuptools,
               sphinx-common
Build-Depends-Indep: python3-breathe <!nodoc>,
                     python3-mako <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libgpuarray.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libgpuarray.git
Homepage: https://github.com/Theano/libgpuarray

Package: libgpuarray2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library to manipulate tensors on the GPU
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the shared library.

Package: libgpuarray-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgpuarray2 (= ${binary:Version})
Suggests: libgpuarray-doc <!nodoc>
Description: development files for libgpuarray
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the development files.

Package: libgpuarray-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for libgpuarray
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python-pygpu
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         libgpuarray2 (= ${binary:Version})
Suggests: libgpuarray-doc <!nodoc>
Description: language bindings for libgpuarray (Python 2)
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the language bindings for Python 2.

Package: python-pygpu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-numpy-dbg,
         python-pygpu (= ${binary:Version})
Description: debug extensions for pygpu (Python 2)
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the debug extensions for Python 2.

Package: python3-pygpu
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libgpuarray2 (= ${binary:Version})
Suggests: libgpuarray-doc <!nodoc>
Description: language bindings for libgpuarray (Python 3)
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the language bindings for Python 3.

Package: python3-pygpu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python3-numpy-dbg,
         python3-pygpu (= ${binary:Version})
Description: debug extensions for pygpu (Python 3)
 libgpuarray provides a ndarray (multi-dimensional array) object which
 is computed on the GPU. It supports int, single and double precision
 floats.
 .
 libgpuarray supports Nvidia's CUDA interface as well as OpenCL. The
 Debian packages have been build against OpenCL. However, the source
 package could be rebuild locally also for CUDA (which is non-free)
 without changes, if that's needed.
 .
 This package provides the debug extensions for Python 3.
