=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=pygpu
export PYBUILD_SYSTEM=distutils
export PYBUILD_BEFORE_BUILD={interpreter} setup.py build_ext -b {build_dir} -I $(CURDIR)/src -L $(CURDIR)/lib
export PYBUILD_AFTER_INSTALL_python2-dbg=rm -f {destdir}/{install_dir}/pygpu/*.h
export PYBUILD_AFTER_INSTALL_python3-dbg=rm -f {destdir}/{install_dir}/pygpu/*.h

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean-arch:
	dh_auto_clean --buildsystem=cmake
	dh_auto_clean

override_dh_auto_clean-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	find $(CURDIR) -type f -name ".so" -delete
	$(MAKE) -C doc clean
endif

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake
	dh_auto_configure

override_dh_auto_build-arch:
	dh_auto_build --buildsystem=cmake
	dh_auto_build

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	python3 setup.py build_ext --inplace -I $(CURDIR)/src -L $(CURDIR)/lib
	LD_LIBRARY_PATH=$(CURDIR)/lib PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	dh_auto_install

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_strip-arch:
	dh_strip --package=python-$(PYBUILD_NAME) \
		--dbg-package=python-$(PYBUILD_NAME)-dbg
	dh_strip --package=python3-$(PYBUILD_NAME) \
		--dbg-package=python3-$(PYBUILD_NAME)-dbg
	dh_strip --arch
