=== debian/tests/control ===
Test-Command: set -e
 ; case $(dpkg --print-architecture) in amd64|i386) ;; *) exit 0 ;; esac
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; DEVICE=opencl0:0 $py -m nose pygpu
 ; echo "Testing with $py-dbg:"
 ; DEVICE=opencl0:0 $py-dbg -m nose pygpu
 ; done
Depends: ocl-icd-opencl-dev,
         pocl-opencl-icd [amd64 i386],
         python-all,
         python-all-dbg,
         python-nose,
         python-pygpu,
         python-pygpu-dbg
Restrictions: allow-stderr

Test-Command: set -e
 ; case $(dpkg --print-architecture) in amd64|i386) ;; *) exit 0 ;; esac
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; DEVICE=opencl0:0 $py -m nose pygpu
 ; echo "Testing with $py-dbg:"
 ; DEVICE=opencl0:0 $py-dbg -m nose pygpu
 ; done
Depends: ocl-icd-opencl-dev,
         pocl-opencl-icd [amd64 i386],
         python3-all,
         python3-all-dbg,
         python3-nose,
         python3-pygpu,
         python3-pygpu-dbg
Restrictions: allow-stderr
