=== src/loaders/CMakeLists.txt ===
set_rel(LOADERS_SRC
dyn_load.c
libcuda.c
libnvrtc.c
libcublas.c
libnccl.c
libopencl.c
libclblas.c
libclblast.c
)
