=== src/util/CMakeLists.txt ===
set_rel(UTIL_SRC
strb.c
error.c
xxhash.c
integerfactoring.c
skein.c
)
