=== debian/changelog ===
libgpuarray (0.7.6-3) unstable; urgency=medium

  * tests: add missing MPI dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Feb 2019 22:08:33 +0000

libgpuarray (0.7.6-2) unstable; urgency=medium

  * Mark tests skip-not-installable.
  * tests: remove no longer needed #919824 workaround,
    and add one for #877316.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 07 Feb 2019 20:06:05 +0000

libgpuarray (0.7.6-1) experimental; urgency=medium

  * New upstream release.  (Closes: #901487)
  * Upload to experimental, as this is a soname change (but was
    ruled not a transition, i.e. not currently frozen, in #919022).
  * Drop patch applied upstream.
  * Rebuild generated *.h.c.
  * More user-friendly error when double precision is not available,
    and treat this as a skip not a fail in tests.
  * Fix lru_cache corruption exception.
  * Fix stack smashing crash in *gemmBatch.
  * Update copyright year.
  * Include the BLAS and mpi4py tests in autopkgtest,
    and apply workarounds for #919824 and #920497.
  * tests: enable verbose output, don't run the same tests twice.
  * Fix typo in error message.
  * Fix bug in BLAS error reporting.
  * Fail tril/triu of doubles instead of returning nonsense.
  * Fix intermittent test_dot failure.
  * Remove build path from assert messages (for reproducibility).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 29 Jan 2019 19:38:23 +0000

libgpuarray (0.6.9-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Fix FTBFS when building only arch:all.  (Closes: #901111)
  * Make python3-pygpu-dbg depend on Python 3, not 2.
    Thanks to Adrian Bunk  (Closes: #906100)
  * Use to-nearest-even rounding in half precision operations.
  * Fix crash in extract_triu/l.
  * Skip CUDA-only tests on OpenCL.  (Closes: #870128)
  * Update Vcs-* for move to Salsa.
  * Stop using priority extra to comply with Standards-Version 4.3.0.
  * Depend or Recommend the libraries we try to dlopen().
  * Set Rules-Requires-Root: no.
  * Fix spelling in documentation and error messages.
  * Update d/copyright.
  * Rebuild generated C files.
  * Add d/upstream/metadata.
  * Bump debhelper compat to 11, and update doc-base links.
  * Fix clGetDeviceInfo exception on 32 bit architectures.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 15 Jan 2019 22:18:47 +0000
