=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libgpuarray
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+ Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
@@ -9,7 +9,7 @@
                cython-dbg,
                cython3 (>= 0.25),
                cython3-dbg,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                dh-python,
                python-all-dbg,
@@ -22,20 +22,25 @@
                python3-numpy,
                python3-numpy-dbg,
                python3-setuptools,
-               sphinx-common
+               sphinx-common,
+               python-mako
 Build-Depends-Indep: python3-breathe <!nodoc>,
                      python3-mako <!nodoc>,
                      python3-sphinx <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libgpuarray.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libgpuarray.git
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/libgpuarray
+Vcs-Git: https://salsa.debian.org/science-team/libgpuarray.git
 Homepage: https://github.com/Theano/libgpuarray
 
-Package: libgpuarray2
+Package: libgpuarray3
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+#need the -dev because it dlopen()s the un-numbered names
+         ocl-icd-opencl-dev | nvidia-cuda-dev
+Recommends: libclblas-dev | nvidia-cuda-dev
 Description: library to manipulate tensors on the GPU
  libgpuarray provides a ndarray (multi-dimensional array) object which
  is computed on the GPU. It supports int, single and double precision
@@ -52,7 +57,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libgpuarray2 (= ${binary:Version})
+         libgpuarray3 (= ${binary:Version})
 Suggests: libgpuarray-doc <!nodoc>
 Description: development files for libgpuarray
  libgpuarray provides a ndarray (multi-dimensional array) object which
@@ -92,7 +97,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         libgpuarray2 (= ${binary:Version})
+         libgpuarray3 (= ${binary:Version})
 Suggests: libgpuarray-doc <!nodoc>
 Description: language bindings for libgpuarray (Python 2)
  libgpuarray provides a ndarray (multi-dimensional array) object which
@@ -109,7 +114,6 @@
 Package: python-pygpu-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
@@ -133,7 +137,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         libgpuarray2 (= ${binary:Version})
+         libgpuarray3 (= ${binary:Version})
 Suggests: libgpuarray-doc <!nodoc>
 Description: language bindings for libgpuarray (Python 3)
  libgpuarray provides a ndarray (multi-dimensional array) object which
@@ -150,9 +154,8 @@
 Package: python3-pygpu-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends},
          python3-numpy-dbg,
          python3-pygpu (= ${binary:Version})
