=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_CPPFLAGS_MAINT_APPEND=-fmacro-prefix-map=$(CURDIR)=.
 
 export PYBUILD_NAME=pygpu
 export PYBUILD_SYSTEM=distutils
@@ -25,6 +26,8 @@
 endif
 
 override_dh_auto_configure:
+	#force generated files in source to be rebuilt
+	rm -f src/gpuarray/types.h src/gpuarray_types.c src/cluda_cuda.h.c src/cluda_opencl.h.c
 	dh_auto_configure --buildsystem=cmake
 	dh_auto_configure
 
@@ -36,15 +39,19 @@
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 override_dh_auto_build-indep:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	#can't build the documentation without first building the library - #901111
+	dh_auto_build --buildsystem=cmake
 	python3 setup.py build_ext --inplace -I $(CURDIR)/src -L $(CURDIR)/lib
 	LD_LIBRARY_PATH=$(CURDIR)/lib PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
 endif
 
 override_dh_auto_test:
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	dh_auto_install --buildsystem=cmake
 	dh_auto_install
+
+override_dh_auto_install-indep:
 
 override_dh_python2:
 	dh_python2
