=== debian/tests/control ===
# Tests are run on the first OpenCL platform/device: to run them on a real GPU (instead of the CPU), manually install its ICD before running this

Test-Command: set -e
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; DEVICE=opencl0:0 $py -m nose -v pygpu.tests
 ; echo "Testing with $py-dbg:"
 ; DEVICE=opencl0:0 $py-dbg -m nose -v pygpu.tests
 ; done
Depends: ocl-icd-opencl-dev,
         pocl-opencl-icd,
         libclblas-dev,
         python-scipy,
         python-mpi4py,
         mpi-default-bin,
         python-all,
         python-all-dbg,
         python-nose,
         python-pygpu,
         python-pygpu-dbg
Restrictions: allow-stderr, skip-not-installable

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; DEVICE=opencl0:0 $py -m nose -v pygpu.tests
 ; echo "Testing with $py-dbg:"
 ; DEVICE=opencl0:0 $py-dbg -m nose -v pygpu.tests
 ; done
Depends: ocl-icd-opencl-dev,
         pocl-opencl-icd,
         libclblas-dev,
         python3-scipy,
         python3-mpi4py,
         mpi-default-bin,
         python3-all,
         python3-all-dbg,
         python3-nose,
         python3-pygpu,
         python3-pygpu-dbg
Restrictions: allow-stderr, skip-not-installable
