=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/libgpuarray-$1\.tar\.gz/ \
https://github.com/Theano/libgpuarray/tags .*/v?@ANY_VERSION@\.tar\.gz
